html,
body,
h1 {
    margin: 0;
    padding: 0;
    position: relative;
}

abbr,
address,
article,
aside,
audio,
b,
blockquote,
body,
body div,
caption,
cite,
code,
dd,
del,
details,
dfn,
dl,
dt,
em,
fieldset,
figure,
footer,
form,
h1,
h2,
h3,
h4,
h5,
h6,
header,
html,
i,
iframe,
img,
ins,
kbd,
label,
legend,
li,
mark,
menu,
nav,
object,
ol,
p,
pre,
q,
samp,
section,
small,
span,
strong,
sub,
summary,
sup,
table,
tbody,
td,
tfoot,
th,
thead,
time,
tr,
ul,
var,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font-weight: 400;
    vertical-align: baseline;
    background: 0 0;
}

ul,
ol {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

html,
body {
    scroll-behavior: auto;
    background-color: #F6F6F6;
}

:root {
    scroll-behavior: auto;
}

.page {
    background-color: #F1F5F1;
}

.page a {
    text-decoration: none;
    display: block;
}

.page .pc {
    display: block;
}

.page .mobile {
    display: none;
}

.primary-btn {
    width: 128px;
    height: 40px;
    background-color: #126FF5;
    border-radius: 4px;
    line-height: 40px;
    text-align: center;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
}

.primary-btn:hover {
    color: #FFFFFF;
}

.disabled-btn {
    cursor: not-allowed;
    opacity: 0.5;
}

.sec-banner {
    height: 600px;
    width: 100%;
    position: relative;
}

.sec-banner .scene {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.sec-banner .scene img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}

.sec-banner .text-container {
    width: 1500px;
    margin: 0 auto;
    padding-top: 160px;
    position: relative;
    z-index: 2;
}

.sec-banner .sale_label {
    font-weight: 400;
    font-size: 24px;
    color: #FC8B45;
    line-height: 28px;
    margin-bottom: 4px;
    width: fit-content;
}

.sec-banner .subtitle .sale_first_title {
    font-weight: bold;
    font-size: 64px;
    color: #FC8B45;
    line-height: 64px;
    margin-bottom: 16px;
    width: fit-content;
}

.sec-banner .subtitle .sale_second_title {
    font-weight: bold;
    font-size: 40px;
    color: #FC8B45;
    line-height: 48px;
}

.sec-banner .subtitle .sale_first_desc {
    font-weight: 600;
    font-size: 24px;
    color: #A3CA44;
    line-height: 28px;

}

.sec-banner .subtitle .sale_second_desc {
    font-size: 16px;
    line-height: 19px;
    font-weight: 400;
    color: #A3CA44;
    margin-top: 8px;
}

.sec-banner .subtitle .sale_second_desc span {
    color: #FC8B45;
    font-weight: bold;
}

.sec-banner .subtitle .sale_desc_box {
    margin-top: 24px;
}

.sec-navbar {
    height: 80px;
    width: 100%;
    background: #FFC359;
    position: sticky;
    top: 80px;
    z-index: 999;
}

.sec-navbar.active {
    box-shadow: 0px 20px 32px -6px rgba(0, 0, 0, 0.1);
}

.sec-navbar .if-navbar {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sec-navbar .if-navbar .navitem {
    font-size: 20px;
    font-weight: 400;
    color: #126FF5;
    margin: 0 16px;
    line-height: 80px;
    cursor: pointer;
}

.sec-navbar .if-navbar .navitem.active {
    border-bottom: 2px solid #126FF5;
}

.sec-module {
    padding-top: 64px;
}

.sec-module .wrapper-ct {
    width: 1500px;
    margin: 0 auto;
    box-sizing: border-box;
}

.if-header {
    text-align: center;
}

.if-header h3 {
    font-weight: 600;
    font-size: 32px;
    color: rgba(0, 0, 0, 0.85);
    line-height: 38px;
}

.if-header p {
    font-weight: 400;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.65);
    line-height: 19px;
    margin-top: 16px;
}

.if-header label {
    font-weight: 400;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.45);
    line-height: 16px;
    margin-bottom: 8px;
    display: inline-block;
}

.if-button {
    display: block;
    width: 254px;
    height: 36px;
    border-radius: 32px;
    text-align: center;
    line-height: 36px;
    margin: 0 auto;
    font-weight: 400;
    font-size: 16px;
    color: #FFC359;
    margin-top: 32px;
    cursor: pointer;
    border: 1px solid #FFC359;
}
.if-button:hover{
    color: #FFC359;
}
.if-content {
    margin-top: 32px;
    width: 100%;
    box-sizing: border-box;
}

.sec-products .sec-module {
    padding-top: 96px;
}

.one-product_list {
    margin-bottom: 16px;
}

.one-product_list li.one-product_item {
    display: flex;
    align-items: stretch;
}

.one-product_list li.one-product_item:not(:last-child) {
    margin-bottom: 16px;
}

.one-product_list li.one-product_item.if-left {
    flex-direction: row;
}

.one-product_list li.one-product_item.if-right {
    flex-direction: row-reverse;
}

.one-product_list .imgbox {
    height: 500px;
    width: 50%;
    position: relative;
}

.one-product_list .imgbox .label-img {
    position: absolute;
    top: 24px;
    height: 28px;
}

.one-product_list .if-left .imgbox .label-img {
    left: 0;
}

.one-product_list .if-right .imgbox .label-img {
    right: 0;
}

.one-product_list .imgbox .product-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.one-product_list .descbox {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.product-item {
    background-color: #FFFFFF;
    padding: 48px;
    display: flex;
    align-items: center;
    gap: 48px;
    height: 100%;
    box-sizing: border-box;
}

.product-item img.product-img_thumb {
    width: 204px;
    height: 204px;
    object-fit: cover;
}

.product-item .desc {
    flex: 1;
}

.product-item .desc h3 {
    font-weight: 600;
    font-size: 20px;
    color: rgba(0, 0, 0, 0.85);
    line-height: 28px;
}

.product-item .desc p {
    font-weight: 400;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.65);
    line-height: 24px;
    margin-top: 16px;
}

.product-item .desc .more-desc {
    display: flex;
    justify-content: space-between;
    margin-top: 16px;
    align-items: flex-end;
}

.product-item .desc .more-desc .if-price {
    font-weight: 600;
    font-size: 20px;
    color: #126FF5;
    line-height: 28px;
}

.product-item .desc .more-desc .buy-btn {
    width: 128px;
    height: 40px;
    background-color: #126FF5;
    border-radius: 4px;
    line-height: 40px;
    text-align: center;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
}

.gift-box {
    position: relative;
    background-color: #D5E7E3;
}

.one-product_list .if-label {
    position: absolute;
    top: 24px;
    left: 0;
    width: auto;
    height: 28px;
}

.one-product_list .gift-list {
    width: 100%;
    /* display: flex;
    gap: 12px; */
}

.one-product_list .gift-item {
    padding: 64px 0 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: calc((100% - 24px) / 3);
}

.one-product_list .gift-item img {
    width: 120px;
    height: 120px;
    object-fit: cover;
    margin: 0 60px;
}

.one-product_list .gift-item .desc {
    text-align: center;
}

.one-product_list .gift-item h4 {
    font-weight: 600;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.85);
    line-height: 22px;
    margin-top: 16px;
}

.one-product_list .gift-item p {
    font-weight: 600;
    font-size: 12px;
    color: #126FF5;
    line-height: 20px;
    margin-top: 8px;
}

.one-product_list .gift-item p.tips {
    font-size: 12px;
    line-height: 14px;
    color: rgba(0, 0, 0, 0.45);
    font-weight: 400;
}

.one-product_list.other .imgbox {
    height: 500px;
}

.one-product_list.other .gift-list {
    /* gap: 8px; */
    /* justify-content: center; */
}

.one-product_list.other .gift-item {
    flex-direction: row;
    padding: 24px 0;
    gap: 8px;
    width: auto;
    justify-content: center;
}

.one-product_list.other .gift-item img {
    margin: 0;
    width: 152px;
    height: 152px;
}

.one-product_list.other .gift-item .desc {
    text-align: left;
}

.one-product_list.other .gift-item h4 {
    white-space: nowrap;
}

.one-product_list .list-swiper {
    position: relative;
    width: 100%;
    height: 100%;
}

.one-product_list .swiper-button-next,
.one-product_list .swiper-button-prev {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-size: cover;
    -moz-background-size: cover;
    display: none;
}

.swiper-initialized .swiper-button-next,
.swiper-initialized .swiper-button-prev {
    display: block;
}

.one-product_list .swiper-button-next:after,
.one-product_list .swiper-rtl .swiper-button-prev:after {
    content: none;
}

.one-product_list .swiper-button-prev:after,
.one-product_list .swiper-rtl .swiper-button-next:after {
    content: none;
}

.one-product_list .swiper-button-next {
    background-image: url(https://iflight.oss-cn-hongkong.aliyuncs.com/iflight/information/drone_filming/video/icon_Switch_right.png);

}

.one-product_list .swiper-button-prev {
    background-image: url(https://iflight.oss-cn-hongkong.aliyuncs.com/iflight/information/drone_filming/video/icon_Switch_left.png);

}

.one-product_list .swiper-pagination-bullet {
    width: 8px;
    height: 2px;
    border-radius: 4px;
    transition: width .3s linear;
}

.one-product_list .swiper-pagination-bullet-active {
    background-color: rgba(0, 0, 0, 0.85);
    width: 16px;
}

.one-product_list .swiper-horizontal>.swiper-pagination-bullets,
.one-product_list .swiper-pagination-bullets.swiper-pagination-horizontal {
    bottom: 12px;
    width: 100%;
}


.time-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}

.time-list .time-item {
    display: flex;
    align-items: flex-start;
}

.time-list .time-item .num {
    width: 42px;
    height: 64px;
    line-height: 64px;
    text-align: center;
    background-color: #FC8B45;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.time-list .time-item .num span {
    font-size: 48px;
    font-weight: bold;
    color: #FFF;
}

.time-list .time-item .time-left {
    text-align: center;
}

.time-list .time-item .time-top {
    display: flex;
    gap: 4px;
}

.time-list .time-item .time-bottom {
    font-size: 16px;
    line-height: 19px;
    color: rgba(0, 0, 0, 0.65);
    font-weight: 600;
    margin-top: 8px;
}

.time-list .time-item .point {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    height: 64px;
    margin-left: 16px;
}

.time-list .time-item .point span {
    display: inline-block;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: #FC8B45;
}

#sec-module_Flash .countdown {
    margin-top: 32px;
}

#sec-module_Flash .product-item .desc {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-items: center;
}

#sec-module_Flash .product-item .desc .top_tips {
    font-weight: 400;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.45);
    line-height: 20px;
    text-align: center;
}

#sec-module_Flash .product-item .desc h3 {
    font-weight: 600;
    font-size: 40px;
    color: rgba(0, 0, 0, 0.85);
    line-height: 1.2;
    text-align: center;
}

#sec-module_Flash .product-item .desc p {
    font-weight: 400;
    font-size: 24px;
    color: rgba(0, 0, 0, 0.65);
    line-height: 1.2;
    text-align: center;
}

#sec-module_Flash .product-item .desc .more-desc {
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#sec-module_Flash .product-item .desc .more-desc .more-price {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-bottom: 24px;
}

#sec-module_Flash .product-item .desc .more-desc .if-price {
    font-size: 32px;
    line-height: 1.2;
}

#sec-module_Flash .product-item .desc .more-desc .if-origin {
    font-weight: 400;
    font-size: 24px;
    color: rgba(0, 0, 0, 0.45);
    line-height: 1.2;
    text-decoration: line-through;
}

#copy.imgbox {
    width: 100%;
    /* height: 360px; */
    cursor: pointer;
    border-radius: 16px;
    overflow: hidden;
    margin-bottom: 16px;
    box-sizing: border-box;
}

#copy.imgbox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.more-product_list {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}

.more-product_item {
    width: calc((100% - 48px) / 4);
    background-color: #FFFFFF;
    border-radius: 8px;
    overflow: hidden;
}

.more-product_item .imgbox {
    width: 100%;
    height: 363px;
}

.more-product_item .imgbox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 1/1;
    transform: scale(.8);
}

.more-product_item .descbox {
    padding: 8px 24px 24px;
}

.more-product_item .descbox h3 {
    /* height: 64px; */
    font-weight: 400;
    font-size: 24px;
    color: rgba(0, 0, 0, 0.85);
    line-height: 36px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.more-product_item .descbox .price-box {
    margin-top: 12px;
}

.more-product_item .descbox .price-box .if-special {
    font-weight: 400;
    font-size: 20px;
    color: #126FF5;
    line-height: 23px;
    margin-right: 12px;
}

.more-product_item .descbox .price-box .if-original {
    font-weight: 400;
    font-size: 16px;
    color: #7B7B7B;
    line-height: 20px;
    text-decoration: line-through;
}

.more-product_list.gift .gift-item {
    padding: 32px 0;
    /* width: calc(25% - 12px); */
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #FFFFFF;
    border-radius: 8px;
    box-sizing: border-box;
}

.more-product_list.gift .gift-item .product-img {
    /* width: 192px; */
    height: 192px;
    object-fit: cover;
}

.more-product_list.gift .gift-item .name {
    font-size: 16px;
    font-weight: 600;
    line-height: 20px;
    color: rgba(0, 0, 0, 0.85);
    margin-top: 16px;
}

.more-product_list.gift .gift-item .desc {
    font-weight: 400;
    font-size: 14px;
    text-align: center;
    color: rgba(0, 0, 0, 0.65);
    margin-top: 8px;
}

.new-product_list {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}

.new-product_item {
    width: calc(50% - 8px);
    background-color: #FFFFFF;
}

.new-product_item .new-product_img {
    width: 100%;
    height: 500px;
    object-fit: cover;
}

.new-product_info {
    padding: 32px;
    display: flex;
    justify-content: space-between;
    gap: 48px;
}

.new-product_info h4 {
    font-weight: bold;
    font-size: 30px;
    color: rgba(0, 0, 0, 0.85);
}

.new-product_info p {
    font-weight: 400;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.65);
    margin-top: 16px;
}

.new-product_price {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
}

.new-product_price .if-price {
    font-weight: 600;
    font-size: 32px;
    color: #126FF5;
    display: inline-block;
    text-align: right;
    width: 100%;
}

.new-product_price .if-original {
    color: rgba(0, 0, 0, 0.45);
    text-decoration: line-through;
    display: inline-block;
    text-align: right;
    width: 100%;
}

.sec-deals_tabs {
    display: flex;
    background-color: #FFFFFF;
    border-radius: 36px;
    width: fit-content;
    margin: 0 auto;
    padding: 4px;
}

.sec-deals_tab {
    padding: 8px 16px;
    border-radius: 36px;
    cursor: pointer;
    transition: background 0.3s;
    font-weight: 400;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.45);
    line-height: 16px;
    white-space: nowrap;
}

.sec-deals_tab.active {
    background: linear-gradient(89deg, #FFC359 0%, #FFDFA6 100%);
    color: #FFF;
}

.sec-deals_list {
    margin-top: 24px;
}

.sec-deals_item {
    display: none;
}

.sec-reason {
    padding: 96px 0;
}

.reason-list {
    display: flex;
    flex-wrap: wrap;
    gap: 32px;
    width: 1248px;
    margin: 0 auto;
}

.reason-list .reason-item {
    width: calc((100% - 32px*3) / 4);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 24px 0;
}

.reason-list .reason-item .imgbox {
    width: 64px;
    height: 64px;
}

.reason-list .reason-item .imgbox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.reason-list .reason-item h3 {
    font-weight: 400;
    font-size: 20px;
    color: rgba(0, 0, 0, 0.85);
    line-height: 23px;
    margin-top: 8px;
}

.reason-list .reason-item p {
    font-weight: 400;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.65);
    line-height: 19px;
    margin-top: 8px;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.if-tooltip {
    padding: 10px;
    position: fixed;
    z-index: 1001;
    background-color: rgba(0, 0, 0, 0.7);
    /* 半透明黑色背景 */
    border: none;
    /* 移除边框 */
    width: 300px;
    /* height: 150px; 如果需要固定高度，取消注释 */
    font-size: 14px;
    color: white;
    text-align: center;
    display: none;
    /* 初始隐藏 */
    /*如果模态框只有单行文本并且高度固定，可以使用*/
    left: 50%;
    /* 水平居中定位 */
    top: 30%;
    /* 垂直居中定位 */
    transform: translate(-50%, -50%);
    /* 确保模态框完全居中 */
}

.dialog {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    border-radius: 0px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 1001;
    width: 80%;
    max-width: 1000px;
}



.dialog .close {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
    font-size: 30px;
    color: rgba(0, 0, 0, 0.85);
}

.dialog .if-header {
    border-bottom: 1px solid #eee;
}

.dialog .if-header .if-title {
    padding: 15px 0;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    background: #ffffff;
    color: #333;
}

.dialog .if-content {
    padding: 30px 60px;
    margin-top: 0;
}

.dialog .if-content p {
    font-size: 14px;
    line-height: 24px;
    padding-bottom: 8px;
    color: #333;
}

.dialog .if-content p.text-sm {
    color: #7E7F7F;
}

/* 抽奖 */
#sec-module_Deals .top_section {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 168px;
}

#sec-module_Deals .right .box {
    width: 32rem;
    height: 32rem;
    max-width: 96vw;
    aspect-ratio: 1;
    position: relative;
}

#sec-module_Deals .right .box img {
    width: 100%;
}

#sec-module_Deals .right .box .inner {
    position: absolute;
    width: 8rem;
    height: 8rem;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    z-index: 2;
    background-image: url(https://iflight.oss-accelerate.aliyuncs.com/store/activity/Pre-Black-Friday/arrow.png);
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

.deals-prize_list {
    display: flex;
    gap: 16px;
}

.deals-prize_item {
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    flex-shrink: 0;
}

.deals-prize_item .title {
    font-weight: 400;
    font-size: 16px;
    color: #000000;
}

.deals-prize_item .img {
    width: 251px;
    height: 107px;
    object-fit: cover;
}

.deals-prize_item .name {
    font-weight: 400;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.65);
}

.prizes_btn {
    display: block;
    width: 256px;
    height: 40px;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
    background-color: #FFC359;
    border: 0;
    outline: 0;
    margin: 32px auto 0;
}

a.prizes_btn {
    text-align: center;
    line-height: 40px;
}

a.prizes_btn:hover {
    color: #FFFFFF;
}

.prizes_btn-plain {
    display: block;
    margin: 16px auto 0;
    background-color: transparent;
    border: 0;
    outline: 0;
    font-weight: 400;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.65);
}

.prizes_btn-plain:hover {
    text-decoration: underline;
}

.prizes_btn[disabled] {
    opacity: 0.5;
    cursor: not-allowed;
}

.list-head,
.list-item {
    display: flex;
    gap: 16px;
    height: 46px;
    line-height: 46px;
    border-bottom: 1px solid #E7E7E7;
    padding: 2px 16px;
}

.list-head .cell,
.list-item .cell {
    flex: 1;
    font-weight: 400;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.9);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.list-head .cell:nth-child(2),
.list-item .cell:nth-child(2) {
    flex: 2;
}

.list-head .cell {
    color: rgba(0, 0, 0, 0.4);
}

.list-item .cell img {
    height: 100%;
    padding: 2px;
    box-sizing: border-box;
}

.list-body .empty,
.list-body .loading,
.list-body .error {
    font-weight: 400;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.9);
    text-align: center;
    width: 100%;
}

@media (max-width: 1023px) {

    .list-head,
    .list-item {
        height: 32px;
        line-height: 32px;
        gap: 4px;
        padding: 0 4px;
    }

    .list-head .cell,
    .list-item .cell {
        font-size: 10px;
    }

    .list-body .empty,
    .list-body .loading,
    .list-body .error {
        font-size: 12px;
    }

    .list-head .cell:nth-child(2),
    .list-item .cell:nth-child(2) {
        display: none;
    }

    .dialog {
        width: 90%;
    }

    .dialog .if-content {
        padding: 12px 12px 24px;
        max-height: 65vh;
        overflow-y: auto;
    }

    .dialog .close {
        position: absolute;
        top: 9px;
        right: 10px;
        cursor: pointer;
        font-size: 24px;
        /* color: rgba(0, 0, 0, 0.85); */
    }
}

@media (max-width: 768px) {
    .page .pc {
        display: none;
    }

    .page .mobile {
        display: block;
    }

    body {
        position: relative;
        min-height: 100%;
    }

    .content {
        overflow-y: unset;
        overflow-x: unset;
    }

    #wrapper {
        overflow: unset;
    }

    .if-header h3 {
        font-size: 20px;
        line-height: 23px;
    }

    .if-header p {
        font-size: 12px;
        line-height: 16px;
        margin-top: 8px;
    }

    .if-header label {
        font-size: 12px;
        line-height: 16px;
        margin-bottom: 4px;
    }

    .if-content {
        margin-top: 16px;
    }

    .if-button {
        width: 156px;
        height: 34px;
        line-height: 34px;
        font-size: 14px;
        margin-top: 24px;
    }

    .primary-btn {
        width: 90px;
        height: 28px;
        line-height: 28px;
        font-size: 12px;
    }

    .sec-banner {
        height: auto;
    }

    .sec-banner .text-container {
        width: 100%;
        padding-top: 40px;
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .sec-banner .sale_label {
        text-align: center;
        font-size: 16px;
        line-height: 19px;
        margin-bottom: 8px;
    }

    .sec-banner .subtitle {
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .sec-banner .subtitle .sale_first_title {
        font-size: 32px;
        line-height: 32px;
        text-align: center;
    }

    .sec-banner .subtitle .sale_second_title {
        text-align: center;
        font-size: 16px;
        line-height: 19px;
    }

    .sec-banner .subtitle .sale_first_desc {
        font-size: 14px;
        line-height: 18px;
        text-align: center;
    }

    .sec-banner .subtitle .sale_second_desc {
        font-size: 12px;
        line-height: 16px;
        text-align: center;
    }

    .sec-navbar {
        height: 46px;
        top: 0;
    }

    .sec-navbar.active {
        box-shadow: 0px 8px 24px -6px rgba(0, 0, 0, 0.1);
    }

    .sec-navbar .if-navbar {
        overflow-x: auto;
        /* justify-content: flex-start; */
    }

    .sec-navbar .if-navbar::-webkit-scrollbar {
        display: none;
    }

    .sec-navbar .if-navbar .navitem {
        line-height: 44px;
        font-size: 12px;
        white-space: nowrap;
    }

    .sec-module,
    .sec-products .sec-module {
        padding-top: 48px;
    }

    .sec-module .wrapper-ct {
        width: 100%;
        padding: 0 16px;
        overflow: hidden;
    }

    .one-product_list li.one-product_item.if-left,
    .one-product_list li.one-product_item.if-right {
        flex-direction: column;
    }

    .one-product_list .imgbox {
        width: 100%;
        height: 228px;
    }

    .one-product_list .descbox {
        width: 100%;
    }

    .product-item {
        padding: 16px 16px 26px;
    }

    .product-item img {
        display: none;
    }

    .product-item .desc h3 {
        font-size: 16px;
        line-height: 22px;
    }

    .product-item .desc p {
        font-size: 12px;
        line-height: 18px;
        margin-top: 8px;
    }

    .product-item .desc .more-desc {
        margin-top: 8px;
    }

    .product-item .desc .more-desc .if-price {
        font-size: 16px;
        line-height: 22px;
    }

    .product-item .desc .more-desc .buy-btn {
        width: 90px;
        height: 28px;
        line-height: 28px;
        font-size: 12px;
    }

    .one-product_list .if-label {
        top: 4px;
        /* width: 89px; */
        height: 16px;
    }

    .one-product_list .gift-list {
        gap: 0;
    }

    .one-product_list .gift-item {
        width: calc(100% / 3);
        padding: 8px 4px;
    }

    .one-product_list .gift-item img {
        width: 56px;
        height: 56px;
        margin: 0;
    }

    .one-product_list .gift-item h4 {
        font-size: 12px;
        line-height: 14px;
        margin-top: 4px;
    }

    .one-product_list .gift-item p {
        font-size: 10px;
        line-height: 12px;
        margin-top: 4px;
    }

    #copy.imgbox {
        /* height: auto; */
    }

    .more-product_item {
        width: calc(50% - 8px);
    }

    .more-product_item .imgbox {
        height: 142px;
    }

    .more-product_item .descbox {
        padding: 8px 8px 12px;
    }

    .more-product_item .descbox h3 {
        font-size: 14px;
        line-height: 16px;
    }

    .more-product_item .descbox .price-box {
        margin-top: 4px;
    }

    .more-product_item .descbox .price-box .if-special {
        font-size: 12px;
        line-height: 14px;
        margin-right: 8px;
    }

    .more-product_item .descbox .price-box .if-original {
        font-size: 10px;
        line-height: 12px;
    }

    .one-product_list.other .imgbox {
        height: auto;
    }

    .one-product_list .swiper-wrapper {
        flex-direction: row;
    }

    .one-product_list .swiper-button-next,
    .one-product_list .swiper-button-prev {
        display: none;
    }

    .one-product_list .swiper-horizontal>.swiper-pagination-bullets,
    .one-product_list .swiper-pagination-bullets.swiper-pagination-horizontal {
        bottom: 12px;
    }

    .one-product_list.other .gift-list {
        gap: 0;
    }

    .one-product_list.other .gift-item img {
        width: 56px;
        height: 56px;
    }

    /* .one-product_list.other .gift-item {
        flex-direction: column;
    }

    .one-product_list.other .gift-item {
        padding: 8px 0;
        width: 50%;
    }

    .one-product_list.other .gift-item .desc {
        text-align: center;
    } */
    .more-product_list.gift {
        flex-direction: column;
    }

    .more-product_list.gift .gift-item {
        padding: 24px 16px;
    }

    .more-product_list.gift .gift-item .product-img {
        /* width: 80px; */
        height: 80px;
    }

    .more-product_list.gift .gift-item .name {
        font-size: 14px;
        line-height: 18px;
        margin-top: 10px;
    }

    .more-product_list.gift .gift-item .desc {
        font-size: 12px;
    }

    .one-product_list .gift-item p.tips {
        font-size: 8px;
        line-height: 10px;

    }

    .new-product_item {
        width: 100%;
    }

    .new-product_item .new-product_img {
        height: auto;
    }

    .new-product_info {
        padding: 16px;
        gap: 8px;
        flex-direction: column;
    }

    .new-product_info h4 {
        font-size: 16px;
    }

    .new-product_info p {
        font-size: 12px;
        line-height: 20px;
        margin-top: 8px;
    }

    .new-product_price {
        flex-direction: row;
    }

    .new-product_price .if-price {
        font-size: 16px;
        text-align: left;
    }
    .new-product_price .if-original{
        font-size: 12px;
        text-align: left;
    }

    #sec-module_Deals .wrapper-ct {
        padding: 0;
    }

    .sec-deals_head {
        overflow-x: auto;
        padding: 0 16px;
    }

    .sec-deals_head::-webkit-scrollbar {
        display: none;
    }

    #sec-module_Deals .if-header,
    .sec-deals_list {
        padding: 0 16px;
    }

    .sec-deals_tab {
        padding: 8px 8px;
        font-size: 10px;
        line-height: 12px;
        text-align: center;
    }

    .reason-list {
        gap: 16px;
        width: 100%;
    }

    .reason-list .reason-item {
        width: calc(50% - 8px);
        padding: 12px 0;
    }

    .reason-list .reason-item h3 {
        font-size: 14px;
        line-height: 16px;
        margin-top: 12px;
    }

    .reason-list .reason-item p {
        font-size: 12px;
        line-height: 14px;
        margin-top: 4px;
    }

    .sec-reason {
        padding: 48px 0;
    }

    .dialog .if-content {
        padding: 21px;
        max-height: 65vh;
        overflow-y: auto;
    }

    .dialog .close {
        position: absolute;
        top: 9px;
        right: 10px;
        cursor: pointer;
        font-size: 24px;
        /* color: rgba(0, 0, 0, 0.85); */
    }

    .time-list {
        gap: 5px;
    }

    .time-list .time-item .num {
        width: 14px;
        height: 20px;
        line-height: 20px;
        border-radius: 2px;
    }

    .time-list .time-item .num span {
        font-size: 12px;
    }

    .time-list .time-item .time-top {
        gap: 2px;
    }

    .time-list .time-item .time-bottom {
        font-size: 8px;
        line-height: 8px;
        margin-top: 2px;
    }

    .time-list .time-item .point {
        gap: 2px;
        height: 20px;
        margin-left: 5px;
    }

    .time-list .time-item .point span {
        width: 2px;
        height: 2px;
    }

    #sec-module_Flash .countdown {
        margin-top: 16px;
    }

    #sec-module_Flash .product-item .desc {
        align-items: flex-start;
    }

    #sec-module_Flash .product-item .desc .top_tips {
        text-align: left;
        font-size: 12px;
        line-height: 16px;
    }

    #sec-module_Flash .product-item .desc h3 {
        text-align: left;
        font-size: 16px;
    }

    #sec-module_Flash .product-item .desc p {
        font-size: 12px;
        line-height: 20px;
        text-align: left;
    }

    #sec-module_Flash .product-item .desc .more-desc {
        width: 100%;
        flex-direction: row;
        justify-content: space-between;
    }

    #sec-module_Flash .product-item .desc .more-desc .more-price {
        margin-bottom: 0;
    }

    #sec-module_Flash .product-item .desc .more-desc .if-price {
        font-size: 16px;
    }

    #sec-module_Flash .product-item .desc .more-desc .if-origin {
        font-size: 14px;
    }

    .one-product_list .imgbox .label-img {
        height: 20px;
        width: auto;
    }

    .one-product_list .if-left .imgbox .label-img,
    .one-product_list .if-right .imgbox .label-img {
        left: 0;
    }

    #sec-module_Deals .top_section {
        flex-direction: column;
        gap: 16px;
    }

    .deals-prize_wrapper {
        overflow: hidden;
        width: 100%;
        white-space: nowrap;
    }

    .deals-prize_list {
        animation: autoScroll 10s linear infinite;
    }

    #sec-module_Deals .top_section .left {
        width: 100%;
    }

    #sec-module_Deals .right .box {
        width: 100%;
        height: 100%;
    }

    @keyframes autoScroll {
        0% {
            transform: translateX(0);
        }

        100% {
            transform: translateX(-50%);
            /* 计算移动的距离 */
        }
    }
}